## kcalcore 5.107.0

=== debian/changelog ===
kcalcore (5:5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:25 +0200

kcalcore (5:5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:47 +0100

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: bison,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               libical-dev (>= 3.0~),
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/kcalendarcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5calendarcore-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: doc
Description: calendar access framework (documentation)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 5.

## kcalcore 5.109.0

=== debian/changelog ===
kcalcore (5:5.109.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.109.0)

  [ José Manuel Santamaría Lema ]
  * Disable tests properly, they were supposed to be disabled but they were
    running anyway at build time

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:27 +0100

kcalcore (5:5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:55 +0100

kcalcore (5:5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:55 +0100

kcalcore (5:5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:43:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kcalcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
+               extra-cmake-modules (>= 5.109.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
 
 Package: libkf5calendarcore-dev
 Section: libdevel
@@ -40,7 +40,7 @@
 Package: libkf5calendarcore-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Section: doc
 Description: calendar access framework (documentation)
  This library provides access to and handling of calendar data.
@@ -56,7 +56,7 @@
 X-CMake-Target: KF5CalendarCore
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: calendar access framework
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the

## kcalcore 5.110.0

=== debian/changelog ===
kcalcore (5:5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:04:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,

## kcalcore 5.113.0

=== debian/changelog ===
kcalcore (5:5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:41:33 +0000

kcalcore (5:5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:22 +0000

kcalcore (5:5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:56:02 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,

## kcalcore 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(KF_VERSION "5.115.0") # handled by release scripts

project(KCalendarCore VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.15.2)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMGeneratePkgConfigFile)
include(ECMDeprecationSettings)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# TODO: remove for KF6
option(KCALENDARCORE_NO_DEPRECATED_NAMESPACE "Disable deprecated KCalCore namespace" OFF)

set(KCALENDARCORE_LIB_VERSION ${KF_VERSION})
ecm_setup_version(PROJECT VARIABLE_PREFIX KCALENDARCORE
  VERSION_HEADER "${KCalendarCore_BINARY_DIR}/kcalendarcore_version.h"
  PACKAGE_VERSION_FILE "${KCalendarCore_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
  SOVERSION 5
)

########### Find packages ###########
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

set(LibIcal_MIN_VERSION "3.0")
# TODO remove our FindLibIcal.cmake in favor of upstream LibIcalConfig.cmake once the following issues are resolved:
# https://github.com/libical/libical/pull/510
# https://bugs.launchpad.net/ubuntu/+source/libical3/+bug/1946963
# https://bugs.launchpad.net/ubuntu/+source/libical/+bug/1920587
find_package(LibIcal ${LibIcal_MIN_VERSION})
set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarCore")

if (BUILD_QCH)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CalendarCoreQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5CalendarCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
  add_subdirectory(autotests)
endif()

########### Install Files ###########
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
  cmake/FindLibIcal.cmake
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5CalendarCoreTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5CalendarCoreTargets.cmake
  NAMESPACE KF5::
)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5CalendarCore_QCH
        FILE KF5CalendarCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
endif()

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcalendarcore_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore COMPONENT Devel
)
if (NOT KCALENDARCORE_NO_DEPRECATED_NAMESPACE)
  ecm_setup_version(PROJECT VARIABLE_PREFIX KCALCORE
    VERSION_HEADER "${KCalendarCore_BINARY_DIR}/kcalcore_version.h"
  )
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcalcore_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel
  )
endif()

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF5CalendarCore
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/
      DEPS "Qt${QT_MAJOR_VERSION}Core Qt${QT_MAJOR_VERSION}Gui"
    INSTALL)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kcalcore (5:5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:09:40 +0200

kcalcore (5:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015437).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 12:41:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kcalcore
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git
 
 Package: libkf5calendarcore-dev
 Section: libdevel
@@ -40,7 +40,7 @@
 Package: libkf5calendarcore-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Section: doc
 Description: calendar access framework (documentation)
  This library provides access to and handling of calendar data.
@@ -56,7 +56,7 @@
 X-CMake-Target: KF5CalendarCore
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: calendar access framework
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the

## kcalcore 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
 
 project(KCalendarCore VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_library(KF5CalendarCore)
add_library(KF5::CalendarCore ALIAS KF5CalendarCore)

set_target_properties(KF5CalendarCore PROPERTIES
    VERSION     ${KCALENDARCORE_VERSION}
    SOVERSION   ${KCALENDARCORE_SOVERSION}
    EXPORT_NAME CalendarCore
)

target_sources(KF5CalendarCore PRIVATE
    alarm.cpp
    alarm.h
    attachment.cpp
    attachment.h
    attendee.cpp
    attendee.h
    calendar.cpp
    calendar.h
    calendar_p.h
    calendarplugin.cpp
    calendarplugin.h
    calendarpluginloader.cpp
    calendarpluginloader.h
    calfilter.cpp
    calfilter.h
    calformat.cpp
    calformat.h
    calstorage.cpp
    calstorage.h
    compat.cpp
    compat_p.h
    conference.cpp
    conference.h
    customproperties.cpp
    customproperties.h
    duration.cpp
    duration.h
    event.cpp
    event.h
    exceptions.cpp
    exceptions.h
    filestorage.cpp
    filestorage.h
    freebusycache.cpp
    freebusycache.h
    freebusy.cpp
    freebusy.h
    freebusyperiod.cpp
    freebusyperiod.h
    icalformat.cpp
    icalformat.h
    icalformat_p.cpp
    icalformat_p.h
    icaltimezones.cpp
    icaltimezones_p.h
    incidencebase.cpp
    incidencebase.h
    incidencebase_p.h
    incidence.cpp
    incidence.h
    incidence_p.h
    journal.cpp
    journal.h
    memorycalendar.cpp
    memorycalendar.h
    occurrenceiterator.cpp
    occurrenceiterator.h
    period.cpp
    period.h
    person.cpp
    person.h
    person_p.h
    recurrence.cpp
    recurrence.h
    recurrencehelper_p.h
    recurrencerule.cpp
    recurrencerule.h
    schedulemessage.cpp
    schedulemessage.h
    sorting.cpp
    sorting.h
    todo.cpp
    todo.h
    utils.cpp
    utils_p.h
    vcalformat.cpp
    vcalformat.h
    visitor.cpp
    visitor.h

)
ecm_qt_declare_logging_category(KF5CalendarCore
    HEADER kcalendarcore_debug.h
    IDENTIFIER KCALCORE_LOG
    CATEGORY_NAME kf.calendarcore
    OLD_CATEGORY_NAMES log_kcalcore org.kde.pim.kcalcore
    DESCRIPTION "KCalendarCore"
    EXPORT KCALENDARCORE
)

ecm_generate_export_header(KF5CalendarCore
    BASE_NAME kcalendarcore
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.64 5.89 5.91 5.95 5.96 5.97 5.106
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)


# backward compatibility with the old name
if (NOT KCALENDARCORE_NO_DEPRECATED_NAMESPACE)
    target_compile_definitions(KF5CalendarCore INTERFACE "-DKCalCore=KCalendarCore")
endif()

target_include_directories(KF5CalendarCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore>")
target_include_directories(KF5CalendarCore PUBLIC "$<BUILD_INTERFACE:${KCalendarCore_SOURCE_DIR}/src;${KCalendarCore_BINARY_DIR}/src>")

target_link_libraries(KF5CalendarCore
PUBLIC
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
PRIVATE
    LibIcal
)

install(TARGETS KF5CalendarCore EXPORT KF5CalendarCoreTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
set(kcalendarcore_headers
  Alarm
  Attachment
  Attendee
  CalFilter
  CalFormat
  CalStorage
  Calendar
  CalendarPlugin
  CalendarPluginLoader
  Conference
  CustomProperties
  Duration
  Event
  Exceptions
  FileStorage
  FreeBusy
  FreeBusyCache
  FreeBusyPeriod
  ICalFormat
  Incidence
  IncidenceBase
  Journal
  MemoryCalendar
  OccurrenceIterator
  Period
  Person
  Recurrence
  RecurrenceRule
  ScheduleMessage
  Sorting
  Todo
  VCalFormat
  Visitor
)

ecm_generate_headers(KCalendarCore_CamelCase_HEADERS
  HEADER_NAMES
    ${kcalendarcore_headers}
  PREFIX KCalendarCore
  REQUIRED_HEADERS KCalendarCore_HEADERS
)

if (NOT KCALENDARCORE_NO_DEPRECATED_NAMESPACE)
  ecm_generate_headers(KCalCore_CamelCase_HEADERS
    HEADER_NAMES
      ${kcalendarcore_headers}
    PREFIX KCalCore
    REQUIRED_HEADERS KCalCore_HEADERS
  )
endif()

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcalendarcore_export.h
  ${KCalendarCore_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/kcalendarcore
  COMPONENT Devel
)

install(FILES
  ${KCalendarCore_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/KCalendarCore
  COMPONENT Devel
)

if (NOT KCALENDARCORE_NO_DEPRECATED_NAMESPACE)
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcalendarcore_export.h
    ${KCalCore_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/kcalcore
    COMPONENT Devel
  )

  install(FILES
    ${KCalCore_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/KCalCore
    COMPONENT Devel
  )
endif()

ecm_qt_install_logging_categories(
    EXPORT KCALENDARCORE
    FILE kcalendarcore.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_pri_file(BASE_NAME KCalendarCore LIB_NAME KF5CalendarCore DEPS "Core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/KCalendarCore)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if(BUILD_QCH)
    ecm_add_qch(
        KF5CalendarCore_QCH
        NAME KCalendarCore
        BASE_NAME KF5CalendarCore
        VERSION ${KCalendarCore_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KCalendarCore_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KCALENDARCORE_EXPORT
            "KCALENDARCORE_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kcalcore (5:5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-Build-Depends: bison,
+Build-Depends: debhelper-compat (= 13),
+               bison,
                cmake (>= 3.16~),
-               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	-dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kcalendarcore-([\d.]+).tar.xz

## kcalcore 5.116.0+p24.04+vstable+git20250726.0022

=== debian/changelog ===
kcalcore (5:5.116.0+p24.04+vstable+git20250726.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 26 Jul 2025 00:22:55 +0000

kcalcore (5:5.116.0-xneon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:36:45 +1000

kcalcore (5:5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:19:31 +0000

kcalcore (5:5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:14:04 +0000

kcalcore (5:5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 03:55:40 +0000

kcalcore (5:5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:36:36 +0000

kcalcore (5:5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 16:13:45 +0000

kcalcore (5:5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:18:49 +0000

kcalcore (5:5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:09:43 +0000

kcalcore (5:5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 18 Aug 2023 01:19:21 +0000

kcalcore (5:5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jul 2023 01:19:28 +0000

kcalcore (5:5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 01:19:25 +0000

kcalcore (5:5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 May 2023 01:19:18 +0000

kcalcore (5:5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 01:19:23 +0000

kcalcore (5:5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:22:22 +0000

kcalcore (5:5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:45:52 +0000

kcalcore (5:5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:56:57 +0000

kcalcore (5:5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:10:58 +0000

kcalcore (5:5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:14:28 +0000

kcalcore (5:5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:51:53 +0000

kcalcore (5:5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:23:29 +0000

kcalcore (5:5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 11:59:25 +0000

kcalcore (5:5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Mar 2022 11:37:32 +0000

kcalcore (5:5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:20:10 +0000

kcalcore (5:5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:22:23 +0000

kcalcore (5:5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Nov 2021 18:02:53 +0000

kcalcore (5:5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 03:23:06 +0000

kcalcore (5:5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:07:12 +0000

kcalcore (5:5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:17:03 +0000

kcalcore (5:5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:23:54 +0000

kcalcore (5:5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:13:27 +0000

kcalcore (5:5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:07:51 +0000

kcalcore (5:5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:08:28 +0000

kcalcore (5:5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:51:16 +0000

kcalcore (5:5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:07:05 +0000

kcalcore (5:5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:01:06 +0000

kcalcore (5:5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:29:04 +0000

kcalcore (5:5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:36:59 +0000

kcalcore (5:5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:21:07 +0000

kcalcore (5:5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:10:09 +0000

kcalcore (5:5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:08:31 +0000

kcalcore (5:5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:46:46 +0000

kcalcore (5:5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:39:19 +0000

kcalcore (5:5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:57:30 +0000

kcalcore (5:5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Nov 2019 14:54:48 +0000

kcalcore (5:5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 20 Oct 2019 10:09:43 +0000



=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libical-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Git: https://invent.kde.org/neon/kde/kcalendarcore.git
Vcs-Browser: https://invent.kde.org/neon/kde/kcalendarcore
Maintainer: Neon CI <neon@kde.org>

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical-dev (>= 0.42~),
         libkf5calendarcore5abi2 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5calendarcore5 (<< ${source:Version}~ciBuild)
Replaces: libkf5calendarcore5
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

Package: libkf5calendarcore5
Architecture: all
Depends: libkf5calendarcore5abi2, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5calendarcore-dbg (<= 4:15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]+)/kcalendarcore-([\d.]+).tar.xz

## kcalcore 5.116.0+p24.04+vstable+git20250801.1338

=== debian/changelog ===
kcalcore (5:5.116.0+p24.04+vstable+git20250801.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 13:38:42 +0000

## kcalcore 15.08.2

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               libical-dev,
               libkf5kdelibs4support-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcalcore.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical-dev,
         libkf5calendarcore5 (= ${binary:Version}),
         libkf5kdelibs4support-dev,
         ${misc:Depends}
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

Package: libkf5calendarcore-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore5 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the debug symbols.

## kcalcore 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KCalCore)

# ECM setup
find_package(ECM 5.14.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KCalCore_SOURCE_DIR}/cmake)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.14.0")
set(KCALENDARCORE_LIB_VERSION "4.83.0")
ecm_setup_version(${KCALENDARCORE_LIB_VERSION} VARIABLE_PREFIX KCALCORE
                        VERSION_HEADER "${KCalCore_BINARY_DIR}/kcalcore_version.h"
                        PACKAGE_VERSION_FILE "${KCalCore_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5KDELibs4Support ${KF5_VERSION} CONFIG REQUIRED)

set(LibIcal_MIN_VERSION "0.42")
find_package(LibIcal ${LibIcal_MIN_VERSION})
set_package_properties(LibIcal PROPERTIES
                               DESCRIPTION "The libical library"
                               URL "http://sourceforge.net/projects/freeassociation"
                               TYPE REQUIRED
)

include(ConfigureChecks.cmake)


########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarCore")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5CalendarCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

add_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(cmake)

########### Install Files ###########
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5CalendarCoreTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5CalendarCoreTargets.cmake
    NAMESPACE KF5::
)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kcalcore_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kcalcore (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:22:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               libical-dev,
-               libkf5kdelibs4support-dev (>= 5.12.0~),
-               pkg-kde-tools (>> 0.15.15)
+               extra-cmake-modules (>= 5.14.0~),
+               libical-dev (>= 0.42~),
+               libkf5kdelibs4support-dev (>= 5.14.0~),
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.2.0~)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kcalcore.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kcalcore.git
@@ -17,9 +18,9 @@
 Package: libkf5calendarcore-dev
 Section: libdevel
 Architecture: any
-Depends: libical-dev,
+Depends: libical-dev (>= 0.42~),
          libkf5calendarcore5 (= ${binary:Version}),
-         libkf5kdelibs4support-dev,
+         libkf5kdelibs4support-dev (>= 5.14.0~),
          ${misc:Depends}
 Description: development files for kcalcore
  This library provides access to and handling of calendar data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5calendarcore-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          dbus-x11, xvfb, xauth
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kcalcore 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(KCalCore)
 
 # ECM setup
-find_package(ECM 5.14.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KCalCore_SOURCE_DIR}/cmake)
 
 include(GenerateExportHeader)
@@ -14,11 +14,11 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
-set(KF5_VERSION "5.14.0")
-set(KCALENDARCORE_LIB_VERSION "4.83.0")
+set(KF5_VERSION "5.19.0")
+set(KCALENDARCORE_LIB_VERSION "5.2.2")
 ecm_setup_version(${KCALENDARCORE_LIB_VERSION} VARIABLE_PREFIX KCALCORE
                         VERSION_HEADER "${KCalCore_BINARY_DIR}/kcalcore_version.h"
                         PACKAGE_VERSION_FILE "${KCalCore_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libical-dev (>= 0.42~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcalcore.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical-dev (>= 0.42~),
         libkf5calendarcore5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.19.0~),
         ${misc:Depends}
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

## kcalcore 16.04.3

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libical-dev (>= 0.42~),
-               libkf5kdelibs4support-dev (>= 5.19.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcalcore.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcalcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
 
 Package: libkf5calendarcore-dev
 Section: libdevel
 Architecture: any
 Depends: libical-dev (>= 0.42~),
          libkf5calendarcore5 (= ${binary:Version}),
-         libkf5kdelibs4support-dev (>= 5.19.0~),
+         libkf5kdelibs4support-dev (>= 5.14.0~),
          ${misc:Depends}
 Description: development files for kcalcore
  This library provides access to and handling of calendar data.

## kcalcore 17.04.3

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libical-dev (>= 0.42~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
 
 Package: libkf5calendarcore-dev
 Section: libdevel
 Architecture: any
 Depends: libical-dev (>= 0.42~),
          libkf5calendarcore5 (= ${binary:Version}),
-         libkf5kdelibs4support-dev (>= 5.14.0~),
+         libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends}
 Description: development files for kcalcore
  This library provides access to and handling of calendar data.

## kcalcore 17.12.3

=== src/CMakeLists.txt ===

########### next target ###############

bison_target(VersitParser
  ${CMAKE_CURRENT_SOURCE_DIR}/versit/vcc.y
  ${CMAKE_CURRENT_BINARY_DIR}/vcc-parser.c
)

set(libversit_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/versit/vobject.c
  ${BISON_VersitParser_OUTPUTS}
)

set(kcalcore_LIB_SRCS
  ${libversit_SRCS}
  alarm.cpp
  attachment.cpp
  attendee.cpp
  calendar.cpp
  calfilter.cpp
  calformat.cpp
  calstorage.cpp
  compat.cpp
  customproperties.cpp
  duration.cpp
  event.cpp
  exceptions.cpp
  filestorage.cpp
  freebusy.cpp
  freebusycache.cpp
  freebusyperiod.cpp
  icalformat.cpp
  icalformat_p.cpp
  icaltimezones.cpp
  incidence.cpp
  incidencebase.cpp
  journal.cpp
  memorycalendar.cpp
  occurrenceiterator.cpp
  period.cpp
  person.cpp
  recurrence.cpp
  recurrencerule.cpp
  schedulemessage.cpp
  sorting.cpp
  todo.cpp
  utils.cpp
  vcalformat.cpp
  visitor.cpp
)
ecm_qt_declare_logging_category(kcalcore_LIB_SRCS HEADER kcalcore_debug.h IDENTIFIER KCALCORE_LOG CATEGORY_NAME org.kde.pim.kcalcore)

add_library(KF5CalendarCore ${kcalcore_LIB_SRCS})

generate_export_header(KF5CalendarCore BASE_NAME kcalcore)

add_library(KF5::CalendarCore ALIAS KF5CalendarCore)

target_include_directories(KF5CalendarCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KCalCore>")
target_include_directories(KF5CalendarCore PUBLIC "$<BUILD_INTERFACE:${KCalCore_SOURCE_DIR}/src;${KCalCore_BINARY_DIR}/src;${KCalCore_SOURCE_DIR}/src/versit>")
target_include_directories(KF5CalendarCore PUBLIC "$<BUILD_INTERFACE:${LibIcal_INCLUDE_DIRS};${LibIcal_INCLUDE_DIRS}/libical>")

target_link_libraries(KF5CalendarCore
PUBLIC
    Qt5::Core
PRIVATE
    Qt5::Gui
    ${LibIcal_LIBRARIES}
)

set_target_properties(KF5CalendarCore PROPERTIES
    VERSION ${KCALCORE_VERSION_STRING}
    SOVERSION ${KCALCORE_SOVERSION}
    EXPORT_NAME CalendarCore
)

install(TARGETS KF5CalendarCore EXPORT KF5CalendarCoreTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KCalCore_CamelCase_HEADERS
  HEADER_NAMES
  Alarm
  Attachment
  Attendee
  CalFilter
  CalFormat
  CalStorage
  Calendar
  CustomProperties
  Duration
  Event
  Exceptions # NOTE: Used to be called 'Exception' in KDE4
  FileStorage
  FreeBusy
  FreeBusyCache
  FreeBusyPeriod
  ICalFormat
  Incidence
  IncidenceBase
  Journal
  MemoryCalendar
  OccurrenceIterator
  Period
  Person
  Recurrence
  RecurrenceRule
  ScheduleMessage
  SortableList
  Sorting
  Todo
  VCalFormat
  Visitor

  PREFIX KCalCore
  REQUIRED_HEADERS KCalCore_HEADERS
)

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcalcore_export.h
  ${KCalCore_HEADERS}
  supertrait.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KCalCore/kcalcore
  COMPONENT Devel
)

install(FILES
  ${KCalCore_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KCalCore/KCalCore
  COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KCalCore LIB_NAME KF5CalendarCore DEPS "Core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KCalCore/KCalCore)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: bison,
+               cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libical-dev (>= 0.42~),
+               libical2-dev | libical-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
+               pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
@@ -18,8 +20,8 @@
 Package: libkf5calendarcore-dev
 Section: libdevel
 Architecture: any
-Depends: libical-dev (>= 0.42~),
-         libkf5calendarcore5 (= ${binary:Version}),
+Depends: libical2-dev | libical-dev,
+         libkf5calendarcore5abi1 (= ${binary:Version}),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends}
 Description: development files for kcalcore
@@ -29,7 +31,9 @@
  .
  This package contains the development files.
 
-Package: libkf5calendarcore5
+Package: libkf5calendarcore5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5CalendarCore
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5calendarcore-dbg (<= 4:15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kcalcore-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kcalcore-([\d.]+).tar.xz
